%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/equations-of-motion/energies.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Energies}\label{sec:spatial-dynamics:equations-of-motion:energies}

For later numerical analysis of statics and dynamics of our cable and \caro model, we also require having the potential energies of the cable available.
Potential energies are composed of energies in the potential field of gravity~$\energypotential_{\subgravity}$ given a point of reference inside the world frame, of energies of strain deformation~$\energypotential_{\strain*}$, and of energies of bending deformation~$\energypotential_{\bend*}$.
The total potential energy can then be written to read
%
\begin{subequations}\label{eqn:spatial-dynamics:equations-of-motion:energies}
\begin{align}
  \energypotential
    & = \energypotential_{\subgravity} +
        \energypotential_{\strain*} +
        \energypotential_{\bend*} \,
        , \label{eqn:spatial-dynamics:equations-of-motion:energies:sum}
    \\
\shortintertext{with}
  \energypotential_{\subgravity}
    & = \int\limits_{\cablebody}^{}{
          \mass \,
          \gravity \,
          \transpose{
            \evecz
          } \,
          \curve \of{\lpathcoord, t}
        } \,
        ,
        \label{eqn:spatial-dynamics:equations-of-motion:energies:gravity}
    \\
  \energypotential_{\strain*}
    & = \frac{1}{2} \,
          \int\limits_{\cablebody}^{}{
          \transpose{
            \stress
          } \,
          \matr{C}^{\strainmeasure} \,
          \stress
        } \,
        ,
        \label{eqn:spatial-dynamics:equations-of-motion:energies:strain}
    \\
  \energypotential_{\bend*}
    & = \frac{1}{2} \,
          \int\limits_{\cablebody}^{}{
          \transpose{
            \torque
          } \,
          \matr{C}^{\bendingmeasure} \,
          \torque
        } \,
        ,
        \label{eqn:spatial-dynamics:equations-of-motion:energies:bend}
\end{align}
\end{subequations}
%
and~$\stress, \torque$ as given in~\cref{eqn:spatial-dynamics:equations-of-motion:internal:global-restoring-forces-moments},~$\matr{C}^{\strainmeasure}, \matr{C}^{\bendingmeasure}$ given in~\cref{eqn:spatial-dynamics:equations-of-motion:internal:restoring-forces-moments}.
